commit:     b8771d80ed3eab0498d0ebfa69f69b61ace56572
Author:     Michael Mair-Keimberger <m.mairkeimberger <AT> gmail <DOT> com>
AuthorDate: Thu Mar 21 17:08:08 2019 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Fri Mar 22 23:59:11 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b8771d80

app-vim/help-extra-syntax: EAPI7 bump, fix HOMEPAGE.

Closes: https://bugs.gentoo.org/681170
Signed-off-by: Michael Mair-Keimberger <m.mairkeimberger <AT> gmail.com>
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 .../help-extra-syntax-20050106-r2.ebuild            | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/app-vim/help-extra-syntax/help-extra-syntax-20050106-r2.ebuild 
b/app-vim/help-extra-syntax/help-extra-syntax-20050106-r2.ebuild
new file mode 100644
index 00000000000..eb05cccf8fa
--- /dev/null
+++ b/app-vim/help-extra-syntax/help-extra-syntax-20050106-r2.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit vim-plugin
+
+DESCRIPTION="vim plugin: extra syntax highlighting for help files"
+HOMEPAGE="http://www.drchip.org/astronaut/vim/";
+LICENSE="public-domain"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+
+VIM_PLUGIN_HELPTEXT=\
+"This plugin provides additional syntax highlighting for help files."
+
+src_prepare() {
+       default
+       # use hi def link, bug #101797 / bug #101804
+       sed -i -e 's,^hi link,hi def link,' \
+               "after/syntax/help.vim.d/extra-help-syntax.vim" || die
+}

Reply via email to